# Get NFT details

## getnfts <a href="#getnfts" id="getnfts"></a>

Get NFT details for the specified `nft_gdn_id`.

## Basic Information <a href="#basic-info" id="basic-info"></a>

<table><thead><tr><th width="134">Property</th><th width="260">Detail</th></tr></thead><tbody><tr><td>URL</td><td><code>/api/v1/getnfts</code></td></tr><tr><td>Method</td><td>POST</td></tr></tbody></table>

## **R**equest parameter <a href="#request" id="request"></a>

<table><thead><tr><th width="146">Parameter</th><th width="136">Type</th><th width="104">Required</th><th width="247">Detail</th></tr></thead><tbody><tr><td>nft_gdn_ids</td><td>array[string]</td><td>yes</td><td><code>nft_gdn_id</code> of target NFT</td></tr></tbody></table>

## Sample requests <a href="#sample-request" id="sample-request"></a>

```json
{
    "nft_gdn_ids": ["cf7faf94-a5ec-462c-ad06-1bd772fefe21"]
}
```

## Example of successful response <a href="#response" id="response"></a>

```json
{
  "requests": {
    "nft_gdn_ids": [
      "cf7faf94-a5ec-462c-ad06-1bd772fefe21"
    ]
  },
  "nfts": [
    {
      "nft_gdn_id": "cf7faf94-a5ec-462c-ad06-1bd772fefe21",
      "token_id": "1",
      "contract_address": "0x0000000000000000000000000000000000000000",
      "receiver_wallet_address": "0x1111111111111111111111111111111111111111",
      "status": "deployed",
      "request_metadata": {
        "title": "NFT Name",
        "description": "Description of NFT",
        "file_fields": [
          {
            "key": "image",
            "url": "https://my.nftgarden.app/image.png"
          }
        ]
      },
      "metadata_url": "ipfs://Q7NGFbQXgUbN7mTTmwhN9nPcdkrgYqkR6xvMkhoX5Faken"
    }
  ]
}
```

## Example of response in case of failure(status code 400) <a href="#error" id="error"></a>

```json
{
  "error": {
    "title": "Request Validation Error",
    "message": "Invalid request body"
  }
}
```
